package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.bank.to.BankTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class BankWithClientsException extends ModelException{
	
	private static final long serialVersionUID = 6797065598895751486L;
	private BankTo bank;
	
	public BankWithClientsException (BankTo bank){
		
		super("Bank " + bank.getName() + " has got associated clients.");
		
		this.bank = bank;
		
	}
	
	public BankTo getBank() {
		return bank;
	}
	
}
