package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.pricetype.to.PriceTypeTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class PriceTypeTariffiedException extends ModelException {

	private static final long serialVersionUID = 1980463236549592453L;
	private PriceTypeTo priceType;
	
	public PriceTypeTariffiedException (PriceTypeTo priceType){
		
		super("PriceType " + priceType.getPriceTypeCode() + " has got associated prices.");
		
		this.priceType = priceType;
		
	}
	
	public PriceTypeTo getPriceType() {
		return priceType;
	}
	
}
