package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.roomtype.to.RoomTypeTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class RoomTypeInUseException extends ModelException {

	private static final long serialVersionUID = 6797065598895751486L;
	private RoomTypeTo roomType;
	
	public RoomTypeInUseException (RoomTypeTo roomType){
		
		super("RoomType " + roomType.getRoomTypeCode() + " has got associated rooms.");
		
		this.roomType = roomType;
		
	}
	
	public RoomTypeTo getRoomType() {
		return roomType;
	}
	
}
