package gz.cyberbrain.cyberhotel.model.day.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;
import gz.cyberbrain.cyberhotel.model.util.dates.DateOperations;

import java.io.Serializable;
import java.util.Calendar;

public class DayTo implements Identifiable {
	
	private static final long serialVersionUID = -6651223425175258597L;
	private Calendar dayDate;
	private Long season;
	
	public DayTo(){}
	
	public DayTo(Calendar dayDate, Long season) {				
		this.dayDate = DateOperations.getDateWithoutMilliseconds(dayDate);
		this.season = season;
	}

	public Serializable getId(){
		return dayDate;
	}
	
	public Calendar getDayDate() {
		return dayDate;
	}

	public void setDayDate(Calendar dayDate) {
		this.dayDate = DateOperations.getDateWithoutMilliseconds(dayDate);
	}

	public Long getSeason() {
		return season;
	}

	public void setSeason(Long season) {
		this.season = season;
	}						
	
}
