package gz.cyberbrain.cyberhotel.model.employee.dao;

import java.util.Collection;

import gz.cyberbrain.cyberhotel.model.employee.to.EmployeeTo;
import gz.cyberbrain.cyberhotel.model.spring.dao.AbstractSpringDao;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

public class EmployeeSpringDao extends AbstractSpringDao implements EmployeeDao{

	public EmployeeSpringDao() {
		super(EmployeeTo.class);
	}	

	public EmployeeTo create(EmployeeTo employeeTo) throws InternalErrorException {		

		return (EmployeeTo) super.save(employeeTo);

	}

	public EmployeeTo find(Long employeeId) throws InstanceNotFoundException, InternalErrorException {

		EmployeeTo employeeTo = (EmployeeTo) super.find(employeeId);
		return employeeTo;

	}

	public void update(EmployeeTo employeeTo) throws InternalErrorException {		

		super.update(employeeTo);

	}

	public void remove(EmployeeTo employeeTo) throws InternalErrorException {

			super.delete(employeeTo);
	
	}
	
	public Collection findAll() throws InternalErrorException {
		
		String queryName = "allEmployees";
		return super.findByQuery(queryName);
		
	}

	public Collection employeeWashes(Long employeeId) throws InternalErrorException {
		
		String queryName = "employeeWashes";
		return super.findByAttribute(queryName, employeeId);
		
	}
	
}
