package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.reservation.to.ReservationTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class CancelledReservationException extends ModelException {

	private static final long serialVersionUID = -3489947087917263210L;
	private ReservationTo reservationTo;
	
	public CancelledReservationException (ReservationTo reservationTo){
		
		super("Reservation " + reservationTo.getReservationId() + " is cancelled.");
		
		this.reservationTo = reservationTo;
		
	}
	
	public ReservationTo getReservation() {
		return reservationTo;
	}
	
}
