package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.client.to.ClientTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class ClientPayerException extends ModelException {

	private static final long serialVersionUID = -5759241761136329174L;
	private ClientTo client;
	
	public ClientPayerException (ClientTo client){
		
		super("Client " + client.getId() + " has got some reservations for pay.");
		
		this.client = client;
		
	}
	
	public ClientTo getClient() {
		return client;
	}

}
