package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.client.to.CompanyTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class CompanyWithReservationsException extends ModelException {

	private static final long serialVersionUID = -2196987295017911336L;
	private CompanyTo company;

	public CompanyWithReservationsException (CompanyTo company){

		super("Company " + company.getId() + " has got reservations.");

		this.company = company;

	}

	public CompanyTo getCompany() {
		return company;
	}	

}
