package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.reservation.to.ReservationTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class FinishedReservationException extends ModelException {

	private static final long serialVersionUID = -2289177726915446116L;
	private ReservationTo reservationTo;
	
	public FinishedReservationException (ReservationTo reservationTo){
		
		super("Reservation " + reservationTo.getReservationId() + " is finished.");
		
		this.reservationTo = reservationTo;
		
	}
	
	public ReservationTo getReservation() {
		return reservationTo;
	}
	
}
