package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.client.to.ParticularTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class ParticularWithOwesException extends ModelException {

	private static final long serialVersionUID = 3513781583352789466L;
	private ParticularTo particular;
	
	public ParticularWithOwesException (ParticularTo particular){
		
		super("Particular " + particular.getId() + " has got some owes.");
		
		this.particular = particular;
		
	}
	
	public ParticularTo getParticular() {
		return particular;
	}

	
}
