package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.room.to.RoomTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class RoomBusyException extends ModelException {

	private static final long serialVersionUID = 7338397866358077271L;
	private RoomTo roomTo;
	
	public RoomBusyException (RoomTo roomTo) {
		
		super("Room " + roomTo.getRoomCode() + " has a check-in.");
		this.roomTo = roomTo;
		
	}
	
	public RoomTo getRoom() {
		return roomTo;
	}
	
}
