package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableBankException extends ModelException {

	private static final long serialVersionUID = -5807471869266384388L;
	private Long bankId;
	
	public UnaceptableBankException (Long bankId) {
		
		super("Bank " + bankId + " is not in database.");
		this.bankId = bankId;
		
	}
	
	public Long getBankId() {
		return bankId;
	}
	
}
