package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableCompanyException extends ModelException {
	
	private static final long serialVersionUID = 5536384221489383534L;
	private Long companyId;
	
	public UnaceptableCompanyException (Long companyId){
		
		super("Company " + companyId + " is not in database.");
		
		this.companyId = companyId;
		
	}
	
	public Long getCompanyId() {
		return companyId;
	}
	
}
