package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableConceptException extends ModelException {
	
	private static final long serialVersionUID = -518321809676004677L;
	private String conceptCode;
	
	public UnaceptableConceptException(String conceptCode) {
		
		super("Concept " + conceptCode + " is not in database.");
		this.conceptCode = conceptCode;
		
	}
	
	public String getConceptCode() {
		return conceptCode;
	}
	
}
