package gz.cyberbrain.cyberhotel.view.swing.util.gui;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;

public class ColoredRenderer extends DefaultListCellRenderer {
   
	private static final long serialVersionUID = 1L;

public Component getListCellRendererComponent(JList list, Object value,
                                                int index, boolean isSelected,
                                                boolean hasFocus) {
    Component c = super.getListCellRendererComponent(list, value, index, 
        isSelected,hasFocus);
    if (!isSelected && !hasFocus && value instanceof  ColoredObject) {
      c.setBackground(((ColoredObject)value).getColor());
    }
    return c;
  }
}
