package gz.cyberbrain.cyberhotel.model.client.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;

import java.io.Serializable;

public abstract class ClientTo implements Identifiable {
	
	private static final long serialVersionUID = -2419904409206867524L;
	private Long clientId;
	private Long address;
	private String street;
	private String dwellingPlace;
	private String phone1;
	private String phone2;
	private String fax;
	private String email;
	private String web;
	private Long bank;
	private Long card;
	private String notes;
	
	public ClientTo(){}
	
	public ClientTo(Long clientId, Long address, String street, String dwellingPlace, String phone1, String phone2, String fax, String email, String web, Long bank, Long card, String notes) {	
		this.clientId = clientId;
		this.address = address;
		this.street = street;
		this.dwellingPlace = dwellingPlace;
		this.phone1 = phone1;
		this.phone2 = phone2;
		this.fax = fax;
		this.email = email;
		this.web = web;
		this.bank = bank;
		this.card = card;
		this.notes = notes;
	}	
	
	public Serializable getId(){
		return clientId;
	}
	
	public Long getAddress() {
		return address;
	}

	public void setAddress(Long address) {
		this.address = address;
	}

	public Long getBank() {
		return bank;
	}

	public void setBank(Long bank) {
		this.bank = bank;
	}

	public Long getCard() {
		return card;
	}

	public void setCard(Long card) {
		this.card = card;
	}
	
	public Long getClientId() {
		return clientId;
	}
	
	public void setClientId(Long clientId) {
		this.clientId = clientId;
	}

	public String getDwellingPlace() {
		return dwellingPlace;
	}

	public void setDwellingPlace(String dwellingPlace) {
		this.dwellingPlace = dwellingPlace;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getFax() {
		return fax;
	}

	public void setFax(String fax) {
		this.fax = fax;
	}

	public String getNotes() {
		return notes;
	}

	public void setNotes(String notes) {
		this.notes = notes;
	}

	public String getPhone1() {
		return phone1;
	}

	public void setPhone1(String phone1) {
		this.phone1 = phone1;
	}

	public String getPhone2() {
		return phone2;
	}

	public void setPhone2(String phone2) {
		this.phone2 = phone2;
	}

	public String getStreet() {
		return street;
	}

	public void setStreet(String street) {
		this.street = street;
	}

	public String getWeb() {
		return web;
	}

	public void setWeb(String web) {
		this.web = web;
	}

	public abstract String getReferenceName();
	
}
