package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptablePriceTypeException extends ModelException {

	private static final long serialVersionUID = -7165223912982742093L;
	private String priceTypeCode;
	
	public UnaceptablePriceTypeException (String priceTypeCode){
		
		super("PriceType " + priceTypeCode + " is not in database.");
		
		this.priceTypeCode = priceTypeCode;
		
	}
	
	public String PriceTypeCode() {
		return priceTypeCode;
	}

}
