package gz.cyberbrain.cyberhotel.model.payment.dao;

import gz.cyberbrain.cyberhotel.model.payment.to.PaymentTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public interface PaymentDao {

	public PaymentTo create(PaymentTo paymentTo) throws InternalErrorException;

	public PaymentTo find(Long reference) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void update (PaymentTo paymentTo) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void remove(PaymentTo paymentTo) 
		throws InstanceNotFoundException, InternalErrorException;
		
	public Collection findAll() throws InternalErrorException;
	
}
