package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.client.to.ClientTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class ClientWithInvoicesException extends ModelException {

	private static final long serialVersionUID = -2292299831448529634L;
	private ClientTo client;

	public ClientWithInvoicesException (ClientTo client){

		super("Client " + client.getId() + " has got some invoices.");

		this.client = client;

	}

	public ClientTo getClient() {
		return client;
	}

}
