package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.client.to.ParticularTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class ParticularWithReservationsException extends ModelException{
	
	private static final long serialVersionUID = -2330643831815023020L;
	private ParticularTo particular;
	
	public ParticularWithReservationsException (ParticularTo particular){
		
		super("Particular " + particular.getId() + " has got reservations.");
		
		this.particular = particular;
		
	}
	
	public ParticularTo getParticular() {
		return particular;
	}
	
}
