package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableAgencyException extends ModelException {

	private static final long serialVersionUID = 6787282224184242931L;
	private Long agencyId;
	
	public UnaceptableAgencyException (Long agencyId){
		
		super("Agency " + agencyId + " is not in database.");
		
		this.agencyId = agencyId;
		
	}
	
	public Long getAgencyId() {
		return agencyId;
	}
	
}
