package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableCardException extends ModelException {

	private static final long serialVersionUID = -3828053677900243261L;
	private Long cardId;
	
	public UnaceptableCardException (Long cardId) {
		
		super("Card " + cardId + " is not in database.");
		this.cardId = cardId;
		
	}
	
	public Long getCardId() {
		return cardId;
	}
	
}
