package gz.cyberbrain.cyberhotel.model.role.dao;

import java.util.Collection;

import gz.cyberbrain.cyberhotel.model.role.to.RoleTo;
import gz.cyberbrain.cyberhotel.model.spring.dao.AbstractSpringDao;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

public class RoleSpringDao extends AbstractSpringDao implements RoleDao{

	public RoleSpringDao () {
		super(RoleTo.class);
	}
	
	public RoleTo find(String privilege) throws InstanceNotFoundException, InternalErrorException {

		RoleTo roleTo = (RoleTo) super.find(privilege);
		return roleTo;

	}
	
	public Collection findAll() throws InternalErrorException {

		String queryName = "allRoles";
		return super.findByQuery(queryName);

	}
	
}
