package gz.cyberbrain.cyberhotel.model.season.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;
import java.io.Serializable;

public class SeasonTo implements Identifiable {
	
	private static final long serialVersionUID = -3144930569418893426L;
	private Long seasonId;
	private String name;
	private String description;
	
	public SeasonTo(){}
	
	public SeasonTo(Long seasonId, String name, String description) {		
		this.seasonId = seasonId;
		this.name = name;		
		this.description = description; 
	}
	
	public Serializable getId(){
		return seasonId;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getSeasonId() {
		return seasonId;
	}

	public void setSeasonId(Long seasonId) {
		this.seasonId = seasonId;
	}		
	
}
