package gz.cyberbrain.cyberhotel.model.spring.facade;

import gz.cyberbrain.cyberhotel.model.configurationfacade.delegate.ConfigurationFacadeDelegate;
import gz.cyberbrain.cyberhotel.model.reservationfacade.delegate.ReservationFacadeDelegate;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class SpringFacadeFactory {

private static ApplicationContext context;
	
	static {
		context = new ClassPathXmlApplicationContext("applicationContext.xml");
		}
	
	private SpringFacadeFactory(){}
	
	public static ConfigurationFacadeDelegate getConfigurationFacadeDelegate(){
		return (ConfigurationFacadeDelegate) context.getBean("configurationFacadeDelegate");
	}
	
	public static ReservationFacadeDelegate getReservationFacadeDelegate() {
		return (ReservationFacadeDelegate) context.getBean("reservationFacadeDelegate");
	}
	
}
